## portslave 2010.04.19.1ubuntu1

=== src/tacc/Makefile ===
# Generated automatically from Makefile.in by configure.

CC       = gcc
CFLAGS = -O2  -Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic -ffor-scope ${EXTRA_CFLAGS}

ALL:	tacc.a

TACCSRC = attrib.c authen_r.c authen_s.c author_r.c author_s.c messages.c connect.c
TACCOBJS = $(TACCSRC:.c=.o)

tacc.a: $(TACCOBJS)
	$(CC) -shared $(CFLAGS) -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) -fPIC -DPIC -c -o $@ $<

clean:
		rm -f *~ *.o *.a

dep:
	-makedepend -Y -f depends *.c 2> /dev/null

include depends

## portslave 2002.01.19

=== debian/changelog ===
portslave (2002.01.19) unstable; urgency=low

  * Added "%M" for multilink pppd option.

  * More changes related to removing support for ppp 2.4.0.

 -- Russell Coker <russell@coker.com.au>  Sat, 19 Jan 2002 16:33:00 +0100

portslave (2002.01.12) unstable; urgency=low

  * Remove support for ppp 2.4.0.

 -- Russell Coker <russell@coker.com.au>  Sat, 12 Jan 2002 21:02:00 +0100

portslave (2002.01.10) unstable; urgency=low

  * Made it not SEGV when DNS is down.

  * Changed some variable names to work with the next version of pppd.

 -- Russell Coker <russell@coker.com.au>  Thu, 10 Jan 2002 21:40:00 +0100

portslave (2001.12.28) unstable; urgency=low

  * Improved support for setting variables in chat script.

 -- Russell Coker <russell@coker.com.au>  Fri, 28 Dec 2001 00:10:00 +0100

portslave (2001.12.27) unstable; urgency=low

  * Added CLI support and changed the way that the initchat is parsed.  This
    breaks old pslave.conf files.

  * Fixed a bug in ctlportslave so that it will clear old data from memory
    before displaying the logged on users (necessary for "cshow who").

  * Stopped it using spaces in the Acct-Session-Id attribute.

 -- Russell Coker <russell@coker.com.au>  Thu, 27 Dec 2001 02:10:00 +0100

portslave (2001.12.16) unstable; urgency=low

  * Tidied up the debian/rules file.

  * Made it compile with older headers for the sockaddr_in code if you don't
    enable IPv6.

  * Made it compile with ppp*.tgz in the current directory as well as in the
    parent directory.

  * Fixed the callback patch.  It compiles now - I can't test it though...

  * Added a patch to create potato packages to the docs directory.

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Dec 2001 14:36:00 +0100

portslave (2001.12.11-1) unstable; urgency=low

  * Made the programs have the right version number.

  * Made it depend on the latest ppp Debian package.

 -- Russell Coker <russell@coker.com.au>  Tue, 11 Dec 2001 11:35:00 +0100

portslave (2001.12.11) unstable; urgency=low

  * Made the Acct-Session-Id aqttribute be sent in access-request packets as
    well as accounting.  This may make it easier for some people to manage
    accounting.  Made the Acct-Session-Id by default be the system time in
    seconds * 64K + the low 16bits of the PID in hex.  Previously the
    decimal representation of the PID was merely appended to the decimal
    representation of the time, this meant that more space was taken up, and
    the session ids didn't always increase.

  * Added logcheck files.

  * Fixed a bug in ctlportslave that caused a buffer overflow on utmp parsing
    and a SEGV.

 -- Russell Coker <russell@coker.com.au>  Tue, 11 Dec 2001 10:38:00 +0100

portslave (2001.11.25) unstable; urgency=low

  * Added a patch from Cyclades for shadow password support.  Also added
    support for MD5 hashed passwords.

  * Stopped warnings when unused port definitions reference non-existant
    devices.

  * Added a real bool type to the source.  Makes the code clearer.

  * Started work on CID.

  * Added support for gethostbyname2() for IPv6.  Not fully tested but works
    better than the previous code that broke gethostbyname() for IPv4.

 -- Russell Coker <russell@coker.com.au>  Sun, 25 Nov 2001 13:11:00 +0100

portslave (2001.11.18) unstable; urgency=low

  * Forced to change the syntax of hostname-service type for IPv6 support.
    Now use [a.b.c.d]port format.

  * IPv6 might even work.  I have it sending RADIUS packets to ::1, now I need
    an IPv6 RADIUS server...

 -- Russell Coker <russell@coker.com.au>  Sun, 18 Nov 2001 21:45:00 +0100

portslave (2001.11.17) unstable; urgency=low

  * Made location an enum type.

  * Made the Debian package depend on the latest woody version.

  * Stopped the double messages about authentication failure.

  * Added a pppd patch for persistant IPv6 addresses.

  * Started work on IPv6 support.  Use ./configure --enable-ipv6 to compile
    with it.  It currently doesn't compile with IPv6 enabled...

  * Changed the parsing code to remove the remnants of the old way of doing it.
    Makes the code more readable.

 -- Russell Coker <russell@coker.com.au>  Sat, 17 Nov 2001 18:37:00 +0100

portslave (2001.11.11) unstable; urgency=low

  * Added new config directive for DCD related setting "%d".

  * Fixed a bug with rlogin/ssh where Portslave tried to connect to 0.0.0.0.

 -- Russell Coker <russell@coker.com.au>  Sun, 11 Nov 2001 20:18:00 +0100

portslave (2001.11.08) unstable; urgency=low

  * Adds more serial error checking and streamlined the default config file.

  * Made the default config file not allow locallogins!  Also made the logging
    clearer.

  * The last version was broken badly, it never asked as a password (so any
    account with a password was unusable ;).  Also ports were always
    recognised as port 0 for "portslave -" and by libpsr.  It was only a
    development release anyway.

  * Made the error message be displayed on authentication failure, and fixed
    a potential SEGV in the failure message code.

  * Synchronised the patches with the latest Debian package.

 -- Russell Coker <russell@coker.com.au>  Thu,  8 Nov 2001 18:31:00 +0100

portslave (2001.11.05) unstable; urgency=low

  * Ran flawchecker to check for potential security problems.  Now use
    /dev/urandom for random authentication vectors.  Also tightened up some
    potentially nasty code in syslog.c and ctlportslave.  The /dev/urandom
    change fixes a potential attack, the others just prevent SEGVs.

  * Added a ./configure option for enabling the IP address assignment.  Also
    fixed a couple of minor IP assignment related bugs that crept in when
    merging the patch.

  * Removed README.NET and moved the data into portslave(8).

  * Merged in more code from Cyclades.

  * Made "s{32-63}.tty tts/C{0-31}" be a valid type of config syntax.

 -- Russell Coker <russell@coker.com.au>  Mon,  5 Nov 2001 20:03:00 +0100

portslave (2001.11.01) unstable; urgency=low



=== debian/control ===
Source: portslave
Section: comm
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Build-Depends: debhelper, xutils
Standards-Version: 3.5.6

Package: portslave
Architecture: any
Depends: ${shlibs:Depends}, ppp (= 2.4.1.uus-4)
Description: Terminal server that does PPP and authenticates via RADIUS
 This package provides a program named portslave which will use AT commands
 to answer a modem when it rings. It will then display a login: prompt at
 which the user can enter a user-name and password. If the user sends PPP
 data then portslave will run it's own pppd instead and authenticate the user
 via PAP. When the user-name and password are received they will be verified
 via a RADIUS server.
 .
 At the end of the call the accounting data will be written to the RADIUS
 server.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3
export PKGDIR=`pwd`/debian/portslave

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr --mandir=/usr/share/man --with-pppdir=ppp-2.4.1 --sysconfdir=/etc/portslave --with-pppdradius=/usr/sbin/pppd --enable-ipv6 --enable-shadow
	rm -rf ppp-2.4.1
	mkdir -p ppp-2.4.1/pppd
	cp debian/ppp-2.4.1-headers/*.h ppp-2.4.1/pppd
	cp debian/ppp-2.4.1-headers/Makefile.linux ppp-2.4.1/pppd

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/portslave-2000-11.sgml > portslave-2000-11.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) deb-install INST_PREFIX=$(PKGDIR)
	mv $(PKGDIR)/etc/portslave/pslave.conf.sample $(PKGDIR)/etc/portslave/pslave.conf
	mkdir -p $(PKGDIR)/usr/share/lintian/overrides
	cp debian/lintian $(PKGDIR)/usr/share/lintian/overrides/portslave


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs docs/*
	mv $(PKGDIR)/usr/share/doc/portslave/LICENSE $(PKGDIR)/usr/share/doc/portslave/copyright
	mv $(PKGDIR)/usr/share/doc/portslave/logcheck $(PKGDIR)/etc/logcheck/ignore.d.server/portslave
	mv $(PKGDIR)/usr/share/doc/portslave/logcheck.pppd $(PKGDIR)/etc/logcheck/ignore.d.server/portslave.pppd
	dh_installexamples
	dh_installmenu
#	dh_installpam
#	dh_installinit
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chmod 640 $(PKGDIR)/etc/portslave/pslave.conf
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## portslave 2004.03.26

=== debian/changelog ===
portslave (2004.03.26) unstable; urgency=low

  * Build-depends on ppp-dev.
    Closes: #240156

  * Changed the version number as reported by the programs.

  * Note that the previous version totally disabled CHAP support (the previous
    changelog entry did not clearly state this).

 -- Russell Coker <russell@coker.com.au>  Fri, 26 Mar 2004 12:53:00 +1100

portslave (2004.03.21) unstable; urgency=low

  * Added an option to disable chap as the latest Debian ppp package has
    changed the CHAP hooks and I can't work out how to get it going again.

 -- Russell Coker <russell@coker.com.au>  Sun, 21 Mar 2004 22:37:00 +1100

portslave (2002.10.21) unstable; urgency=low

  * Fixed a bug in ./configure .

 -- Russell Coker <russell@coker.com.au>  Mon, 21 Oct 2002 06:39:00 +0200

portslave (2002.10.16) unstable; urgency=low

  * Added support for limiting the answer times.

 -- Russell Coker <russell@coker.com.au>  Wed, 16 Oct 2002 23:04:00 +0200

portslave (2002.09.17) unstable; urgency=low

  * New version that depends on libradius1.

  * Made "ssh" refer to version 2, and "ssh1" be the keyword for ssh V 1.x.

  * Fixed many trivial warnings about function parameters not being used.

  * Merged in FIDO support - haven't tested it yet.
    Author: Andy Pershin <apa@penza.com.ru>
    Adapted for recent versions by Dmitry Sergienko <trooper@mail.unity.net>

  * Made rlogin use options "-8" and "-E".

  * Added CHAP support.

 -- Russell Coker <russell@coker.com.au>  Tue, 17 Sep 2002 00:24:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: comm
 Priority: optional
 Maintainer: Russell Coker <russell@coker.com.au>
-Build-Depends: debhelper, xutils
+Build-Depends: debhelper, xutils, libradius1-dev, ppp-dev
 Standards-Version: 3.5.6
 
 Package: portslave
 Architecture: any
-Depends: ${shlibs:Depends}, ppp (= 2.4.1.uus-4)
+Depends: ${shlibs:Depends}, ppp (>= 2.4.1.uus-4), radiusclient1
 Description: Terminal server that does PPP and authenticates via RADIUS
  This package provides a program named portslave which will use AT commands
  to answer a modem when it rings. It will then display a login: prompt at

=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,10 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --prefix=/usr --mandir=/usr/share/man --with-pppdir=ppp-2.4.1 --sysconfdir=/etc/portslave --with-pppdradius=/usr/sbin/pppd --enable-ipv6 --enable-shadow
+	./configure --prefix=/usr --mandir=/usr/share/man --with-pppdir=ppp-2.4.1 --sysconfdir=/etc/portslave --with-pppdradius=/usr/sbin/pppd --enable-ipv6 --enable-shadow --with-radclient-cfg=/etc/radiusclient/radiusclient.conf
 	rm -rf ppp-2.4.1
 	mkdir -p ppp-2.4.1/pppd
-	cp debian/ppp-2.4.1-headers/*.h ppp-2.4.1/pppd
-	cp debian/ppp-2.4.1-headers/Makefile.linux ppp-2.4.1/pppd
+	cp debian/pppd-Makefile.linux ppp-2.4.1/pppd/Makefile.linux
 
 	touch configure-stamp
 
@@ -26,7 +25,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) EXTRA_CFLAGS="-DNO_CHAP -I/usr/include/net"
 	#/usr/bin/docbook-to-man debian/portslave-2000-11.sgml > portslave-2000-11.1
 
 	touch build-stamp

## portslave 2005.04.03

=== debian/changelog ===
portslave (2005.04.03) unstable; urgency=high

  * Renamed the logcheck config file from portslave.pppd to portslave-pppd to
    fit with the new naming convention.

  * Made it build with the latest ppp.

 -- Russell Coker <russell@coker.com.au>  Sun,  4 Apr 2005 23:40:00 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: portslave
 Architecture: any
-Depends: ${shlibs:Depends}, ppp (>= 2.4.1.uus-4), radiusclient1
+Depends: ${shlibs:Depends}, ppp (>= 2.4.3-20050321), radiusclient1
 Description: Terminal server that does PPP and authenticates via RADIUS
  This package provides a program named portslave which will use AT commands
  to answer a modem when it rings. It will then display a login: prompt at

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) EXTRA_CFLAGS="-DNO_CHAP -I/usr/include/net"
+	$(MAKE) EXTRA_CFLAGS="-DNO_CHAP -I/usr/include/pppd"
 	#/usr/bin/docbook-to-man debian/portslave-2000-11.sgml > portslave-2000-11.1
 
 	touch build-stamp
@@ -66,7 +66,7 @@
 	dh_installdocs docs/*
 	mv $(PKGDIR)/usr/share/doc/portslave/LICENSE $(PKGDIR)/usr/share/doc/portslave/copyright
 	mv $(PKGDIR)/usr/share/doc/portslave/logcheck $(PKGDIR)/etc/logcheck/ignore.d.server/portslave
-	mv $(PKGDIR)/usr/share/doc/portslave/logcheck.pppd $(PKGDIR)/etc/logcheck/ignore.d.server/portslave.pppd
+	mv $(PKGDIR)/usr/share/doc/portslave/logcheck.pppd $(PKGDIR)/etc/logcheck/ignore.d.server/portslave-pppd
 	dh_installexamples
 	dh_installmenu
 #	dh_installpam

## portslave 2005.04.03.1

=== debian/changelog ===
portslave (2005.04.03.1) unstable; urgency=high

  * Rebuild to work with the latest pppd.

 -- Russell Coker <russell@coker.com.au>  Thu, 31 Jul 2008 22:27:41 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: portslave
 Architecture: any
-Depends: ${shlibs:Depends}, ppp (>= 2.4.3-20050321), radiusclient1
+Depends: ${shlibs:Depends}, ppp (>= 2.4.4rel-10), radiusclient1
 Description: Terminal server that does PPP and authenticates via RADIUS
  This package provides a program named portslave which will use AT commands
  to answer a modem when it rings. It will then display a login: prompt at

## portslave 2010.04.19

=== debian/changelog ===
portslave (2010.04.19) unstable; urgency=low

  * Fixed the "clean" target, should now build on other architectures.

 -- Russell Coker <russell@coker.com.au>  Mon, 19 Apr 2010 07:25:43 +1000

portslave (2010.03.30) unstable; urgency=low

  * Update Debhelper compatability to 7.
  * Don't needlessly link against libcrypt.
  * Remove postinst code to handle pre-lenny config file upgrades.
    Closes: #553290
  * Built against the latest ppp package.
    Closes: #473080
  * s/it's/its/ in description.
    Closes: #435680, #268539
  * Don't depend on xutils.
    Closes: #575854
  * Fixed all bugs, it's in use and important to some people, let's keep it in
    Debian.
    Closes: #559254

 -- Russell Coker <russell@coker.com.au>  Tue, 30 Mar 2010 11:21:00 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: comm
 Priority: optional
 Maintainer: Russell Coker <russell@coker.com.au>
-Build-Depends: debhelper, xutils, libradius1-dev, ppp-dev
+Build-Depends: debhelper, libradius1-dev, ppp-dev
 Standards-Version: 3.5.6
 
 Package: portslave
@@ -12,7 +12,7 @@
  This package provides a program named portslave which will use AT commands
  to answer a modem when it rings. It will then display a login: prompt at
  which the user can enter a user-name and password. If the user sends PPP
- data then portslave will run it's own pppd instead and authenticate the user
+ data then portslave will run its own pppd instead and authenticate the user
  via PAP. When the user-name and password are received they will be verified
  via a RADIUS server.
  .

## portslave 2010.04.19ubuntu1

=== debian/changelog ===
portslave (2010.04.19ubuntu1) precise; urgency=low

  * Link library with -lcrypt to fix FTBFS.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 31 Dec 2011 11:50:01 +0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: portslave
 Section: comm
 Priority: optional
-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
 Build-Depends: debhelper, libradius1-dev, ppp-dev
 Standards-Version: 3.5.6

## portslave 2010.04.19.1

=== debian/changelog ===
portslave (2010.04.19.1) unstable; urgency=high

  * Needs to be recompiled to work with the wheezy pppd.  High urgency because
    it currently entirely fails to work.
    Closes: #679603

 -- Russell Coker <russell@coker.com.au>  Sat, 30 Jun 2012 17:05:33 +1000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: portslave
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Russell Coker <russell@coker.com.au>
 Build-Depends: debhelper, libradius1-dev, ppp-dev
 Standards-Version: 3.5.6
 
 Package: portslave
 Architecture: any
-Depends: ${shlibs:Depends}, ppp (>= 2.4.4rel-10), radiusclient1
+Depends: ${shlibs:Depends}, ppp (>= 2.4.5-5.1), radiusclient1
 Description: Terminal server that does PPP and authenticates via RADIUS
  This package provides a program named portslave which will use AT commands
  to answer a modem when it rings. It will then display a login: prompt at

## portslave 2010.04.19.1ubuntu1

=== debian/changelog ===
portslave (2010.04.19.1ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1079649).  Remaining changes:
    - Link library with -lcrypt to fix FTBFS.

 -- Vibhav Pant <vibhavp@gmail.com>  Sat, 17 Nov 2012 13:04:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: portslave
 Section: comm
 Priority: optional
-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
 Build-Depends: debhelper, libradius1-dev, ppp-dev
 Standards-Version: 3.5.6

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=7
 export PKGDIR=`pwd`/debian/portslave
 
 configure: configure-stamp
